> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Spec Create From File

> Create spec from uploaded file.



## OpenAPI

````yaml post /api/spec_from_file/
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/spec_from_file/:
    post:
      tags:
        - Spec
      summary: Spec Create From File
      description: Create spec from uploaded file.
      operationId: spec_create_from_file
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Body_spec_create_from_file'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    Body_spec_create_from_file:
      properties:
        file:
          type: string
          format: binary
          title: File
        global_spec:
          type: boolean
          title: Global Spec
          default: false
        shared_security_info:
          type: boolean
          title: Shared Security Info
          default: false
        create_mcp:
          type: boolean
          title: Create Mcp
          default: false
      type: object
      required:
        - file
      title: Body_spec_create_from_file
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````